import { ElementRef, EventEmitter, OnDestroy, OnInit } from '@angular/core';
export declare class InputSearchDirective implements OnDestroy, OnInit {
    private el;
    private readonly debounceTimeDefault;
    private readonly minStringLengthDefault;
    /**
     * The output to indicate when the user finish to type on the
     * input search
     */
    ngxInputSearch: EventEmitter<Event>;
    /**
     * Indicates how much time in ms we will wait for the users stops typing.
     * By default is 400ms
     */
    debounceTime: number;
    private _debounceTime;
    /**
     * Indicates the minimum length that must have the string to be emitted.
     * By default is 0
     */
    stringLength: number;
    private _stringLength;
    /**
     * Indicates when the string written length is shorter than the minimum
     * defined by the property `stringLength`
     */
    stringTooShort: EventEmitter<string>;
    /**
     * Indicates when the input is empty
     */
    emptyInput: EventEmitter<void>;
    /**
     * The native element instance of the input
     */
    private inputEl;
    /**
     * The subscription to the input native event.
     * Useful to unsubscribe when is destroyed to avoid memory leaks
     */
    private inputEventSubs;
    constructor(el: ElementRef);
    ngOnInit(): void;
    ngOnDestroy(): void;
}
